Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader Class Reference
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader:
[legend]

## Public Member Functions
| InflaterDynHeader ()
bool | Decode (StreamManipulator input)
InflaterHuffmanTree | BuildLitLenTree ()
InflaterHuffmanTree | BuildDistTree ()

## Private Attributes
byte[] | blLens
byte[] | litdistLens
InflaterHuffmanTree | blTree
int | mode
| The current decode mode.
int | lnum
int | dnum
int | blnum
int | num
int | repSymbol
byte | lastLen
int | ptr

## Static Private Attributes
const int | LNUM = 0
const int | DNUM = 1
const int | BLNUM = 2
const int | BLLENS = 3
const int | LENS = 4
const int | REPS = 5
static readonly int[] | repMin = { 3, 3, 11 }
static readonly int[] | repBits = { 2, 3, 7 }
static readonly int[] | BL_ORDER

## Constructor & Destructor Documentation

## ◆ InflaterDynHeader()

ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.InflaterDynHeader | ( |  | ) |

## Member Function Documentation

## ◆ BuildDistTree()

InflaterHuffmanTree ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.BuildDistTree | ( |  | ) |

## ◆ BuildLitLenTree()

InflaterHuffmanTree ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.BuildLitLenTree | ( |  | ) |

## ◆ Decode()

bool ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.Decode | ( | StreamManipulator | input | ) |

Here is the call graph for this function:

## Member Data Documentation

## ◆ BL_ORDER

readonly int [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.BL_ORDER
| static private

Initial value:
=
{ 16, 17, 18, 0, 8, 7, 9, 6, 10, 5, 11, 4, 12, 3, 13, 2, 14, 1, 15 }

## ◆ BLLENS

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.BLLENS = 3
| static private

## ◆ blLens

byte [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.blLens
| private

## ◆ BLNUM

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.BLNUM = 2
| static private

## ◆ blnum

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.blnum
| private

## ◆ blTree

InflaterHuffmanTree ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.blTree
| private

## ◆ DNUM

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.DNUM = 1
| static private

## ◆ dnum

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.dnum
| private

## ◆ lastLen

byte ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.lastLen
| private

## ◆ LENS

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.LENS = 4
| static private

## ◆ litdistLens

byte [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.litdistLens
| private

## ◆ LNUM

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.LNUM = 0
| static private

## ◆ lnum

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.lnum
| private

## ◆ mode

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.mode
| private

The current decode mode.

## ◆ num

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.num
| private

## ◆ ptr

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.ptr
| private

## ◆ repBits

readonly int [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.repBits = { 2, 3, 7 }
| static private

## ◆ repMin

readonly int [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.repMin = { 3, 3, 11 }
| static private

## ◆ REPS

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.REPS = 5
| static private

## ◆ repSymbol

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterDynHeader.repSymbol
| private

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/InflaterDynHeader.cs